summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorLars Knoll <lars.knoll@theqtcompany.com>2016-03-10 15:07:31 +0100
committerLars Knoll <lars.knoll@theqtcompany.com>2016-03-15 11:47:52 +0000
commit3d3b056f8956281aa93e4c3192ec479a2ed845b0 (patch)
treeedcb568a722f1c0a478d62ac57d0780a643d9646 /configure
parent032efc2cb20e163a2daf8aef9eb8df2b757d17dc (diff)
Remove openvg tests from configure
We're not currently supporting OpenVG anywhere, so remove those tests. If we need them in the future, it's easy to get them back. Change-Id: I06c0f9f3b3ecaa10a51de84c3059d4eee3a29fad Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@theqtcompany.com> Reviewed-by: Andy Nichols <andy.nichols@theqtcompany.com>
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure77
1 files changed, 0 insertions, 77 deletions
diff --git a/configure b/configure
index 1d73443c0f..40953fd851 100755
--- a/configure
+++ b/configure
@@ -637,10 +637,6 @@ CFG_XRANDR=runtime
CFG_XRENDER=auto
CFG_MITSHM=auto
CFG_OPENGL=auto
-CFG_OPENVG=auto
-CFG_OPENVG_LC_INCLUDES=no
-CFG_OPENVG_SHIVA=auto
-CFG_OPENVG_ON_OPENGL=auto
CFG_EGL=auto
CFG_EGL_X=auto
CFG_DOUBLECONVERSION=auto
@@ -998,16 +994,6 @@ while [ "$#" -gt 0 ]; do
VAL=$1
fi
;;
- -openvg)
- VAR=openvg
- # this option may or may not be followed by an argument
- if [ -z "$2" ] || echo "$2" | grep '^-' >/dev/null 2>&1; then
- VAL=yes
- else
- shift;
- VAL=$1
- fi
- ;;
-gstreamer)
VAR=gstreamer
# this option may or may not be followed by an argument
@@ -1282,13 +1268,6 @@ while [ "$#" -gt 0 ]; do
UNKNOWN_OPT=yes
fi
;;
- openvg)
- if [ "$VAL" = "auto" ] || [ "$VAL" = "yes" ] || [ "$VAL" = "no" ]; then
- CFG_OPENVG="$VAL"
- else
- UNKNOWN_OPT=yes
- fi
- ;;
nomake)
if [ -n "${QT_ALL_BUILD_PARTS%%* $VAL *}" ]; then
echo "Unknown part $VAL passed to -nomake." >&2
@@ -6194,44 +6173,6 @@ if [ "$CFG_PCRE" != "qt" ]; then
fi
fi
-# detect OpenVG support
-if [ "$CFG_OPENVG" != "no" ]; then
- if compileTest unix/openvg "OpenVG"; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- elif compileTest unix/openvg "OpenVG" -config openvg_on_opengl; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_ON_OPENGL=yes
- elif compileTest unix/openvg "OpenVG (lc includes)" -config lower_case_includes; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_LC_INCLUDES=yes
- elif compileTest unix/openvg "OpenVG (lc includes)" -config "openvg_on_opengl lower_case_includes"; then
- if [ "$CFG_OPENVG" = "auto" ]; then
- CFG_OPENVG=yes
- fi
- CFG_OPENVG_LC_INCLUDES=yes
- CFG_OPENVG_ON_OPENGL=yes
- else
- if [ "$CFG_OPENVG" != "auto" ] && [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
- echo "$CFG_OPENVG was specified for OpenVG but cannot be enabled due to functionality tests!"
- echo " Turn on verbose messaging (-v) to $0 to see the final report."
- echo " If you believe this message is in error you may use the continue"
- echo " switch (-continue) to $0 to continue."
- exit 101
- else
- CFG_OPENVG=no
- fi
- fi
- if [ "$CFG_OPENVG" = "yes" ] && compileTest unix/shivavg "ShivaVG"; then
- CFG_OPENVG_SHIVA=yes
- fi
-fi
-
if [ "$CFG_ALSA" = "auto" ]; then
if compileTest unix/alsa "alsa"; then
CFG_ALSA=yes
@@ -6356,23 +6297,6 @@ if [ "$CFG_EGLFS_VIV" = "yes" ]; then
fi
fi
-# enable openvg
-if [ "$CFG_OPENVG" = "no" ]; then
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENVG"
-else
- QT_CONFIG="$QT_CONFIG openvg"
- if [ "$CFG_OPENVG_LC_INCLUDES" = "yes" ]; then
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_LOWER_CASE_VG_INCLUDES"
- fi
- if [ "$CFG_OPENVG_ON_OPENGL" = "yes" ]; then
- QT_CONFIG="$QT_CONFIG openvg_on_opengl"
- fi
- if [ "$CFG_OPENVG_SHIVA" = "yes" ]; then
- QT_CONFIG="$QT_CONFIG shivavg"
- QCONFIG_FLAGS="$QCONFIG_FLAGS QT_SHIVAVG"
- fi
-fi
-
# enable opengl
if [ "$CFG_OPENGL" = "no" ]; then
QCONFIG_FLAGS="$QCONFIG_FLAGS QT_NO_OPENGL"
@@ -7309,7 +7233,6 @@ report_support " NIS ...................." "$CFG_NIS"
report_support " OpenGL / OpenVG:"
report_support " EGL .................." "$CFG_EGL"
report_support " OpenGL ..............." "$CFG_OPENGL" yes "Desktop OpenGL" es2 "OpenGL ES 2.0+"
-report_support " OpenVG ..............." "$CFG_OPENVG-$CFG_OPENVG_SHIVA" yes-yes "ShivaVG" yes-no "native"
report_support " PCRE ..................." "$CFG_PCRE" yes "system library" qt "bundled copy"
if [ -n "$PKG_CONFIG" ]; then
report_support " pkg-config ............. yes"